/*
*   Global error value
*/
extern int rxf_error;
/*
*   The HostParams structure
*/
#define MAXCLASSES 16
#define MAXIDCMPSIZE 256

struct HostParams {
                     struct Window   *Window;
                     struct ReqPens  *ReqPens;
                     struct MsgPort  *MasterPort;
                     char            *MsgPtr[16];
                     char            *PublicScreen;
                     long             WaitMask;
                     long             Result;
                     long             Continue;
                     char            *ClassText[MAXCLASSES];
                     char            *NotifyPortName[MAXCLASSES];
                     struct TextFont *Font;
                     long             MsgCount;
                     struct Screen   *ScreenPtr;
                     struct vtx      *Vertex;
                  };
/*
*   The structure that stores information needed for gadgets
*/
struct GUData {
                  char *GadgetID;
                  char *MsgText;
              };
/*
*   The function structure definition. Same as in dispatch.
*/
struct RXfunc { char    *(*rexxfunc)(long *, int, char **);
                char    *rexxname;
                int     nargs;
                int     nargs_req;         };

struct WHfunc { char    *(*rexxfunc)(struct HostParams *, int, char **);
                char    *rexxname;
                int     nargs;
                int     nargs_req;         };

